<?PHP

// manifest file for information regarding application of new code
$manifest = array(
    // only install on the following regex sugar versions (if empty, no check)

	'acceptable_sugar_flavors' => array (
	),

	'acceptable_sugar_versions' => array (
		'regex_matches' => array (
			0 => "7\.*\.*",
		),
	),


	'is_uninstallable' => true,

    // name of new code
	'name' 				=> 'INBOX25',

    // description of new code
	'description' 		=> 'INBOX25 for SugarCRM 7.x',

    // author of new code
	'author' 			=> 'INBOX25',

    // date published
	'published_date'	=> '2017-08-14',

    // version of code
	'version' 			=> 'v4.7.5',

    // type of code (valid choices are: full, langpack, module, patch, theme )
	'type' 				=> 'module',

    // icon for displaying in UI (path to graphic contained within zip package)
	'icon' 				=> ''
);


$installdefs = array(

	'id'=> 'Inbox25',

    'copy'=> array(
		array(
			'from' => '<basepath>/addon/modules/Iframeapp',
			'to'   => 'modules/Iframeapp',
		),
		
		array(
			'from' => '<basepath>/addon/custom/icons/default/images/sugar7-ic.png',
			'to'   => 'themes/default/images/sugar7-ic.png',
		),	
		array(
			'from' => '<basepath>/addon/custom/icons/default/images/sugar7-ic.png',
			'to'   => 'styleguide/assets/img/sugar7-ic.png',
		),
		array(
			'from' => '<basepath>/addon/include/custom.less',
			'to'   => 'custom/themes/custom.less',
		),
		

array(
			'from' => '<basepath>/addon/custom/SugarModules/Accounts/clients/base/layouts/record/record.php',
			'to'   => 'custom/modules/Accounts/clients/base/layouts/record/record.php',
		),
		array(
			'from' => '<basepath>/addon/custom/SugarModules/Leads/clients/base/layouts/record/record.php',
			'to'   => 'custom/modules/Leads/clients/base/layouts/record/record.php',
		),
		array(
			'from' => '<basepath>/addon/custom/SugarModules/Contacts/clients/base/layouts/record/record.php',
			'to'   => 'custom/modules/Contacts/clients/base/layouts/record/record.php',
		),
		array(
			'from' => '<basepath>/addon/custom/SugarModules/Opportunities/clients/base/layouts/record/record.php',
			'to'   => 'custom/modules/Opportunities/clients/base/layouts/record/record.php',
		),
		array(
			'from' => '<basepath>/addon/custom/SugarModules/Prospects/clients/base/layouts/record/record.php',
			'to'   => 'custom/modules/Prospects/clients/base/layouts/record/record.php',
		),

		array(
			'from' => '<basepath>/addon/custom/clients/base/api/Inbox25UserApi.php',
			'to'   => 'custom/clients/base/api/Inbox25UserApi.php',
		),
array(
			'from' => '<basepath>/addon/modules/Import/controller.php',
			'to'   => 'custom/modules/Import/controller.php',
		),
	array(
			'from' => '<basepath>/addon/inboxview',
			'to'   => 'custom/clients/base/layouts/inboxview',
		),
			
array(
			'from' => '<basepath>/addon/include/entry_point_registry.php',
			'to'   => 'custom/include/MVC/Controller/entry_point_registry.php',
		),


	),
	'custom_fields' => array (
            //Text
            array(
                'name' => 'inbox25_score_c',
                'label' => 'INBOX25 Lead Score',
                'type' => 'integer',
                'module' => 'Leads',
                'help' => 'INBOX25 Score Field',
                'comment' => 'INBOX25 Score Field',
                'default_value' => '0',
                'required' => false, // true or false
                'reportable' => true, // true or false
                'audited' => false, // true or false
                'importable' => 'true', // 'true', 'false', 'required'
                'duplicate_merge' => false, // true or false
            ),
			 array(
                'name' => 'inbox25_score_c',
                'label' => 'INBOX25 Lead Score',
                'type' => 'integer',
                'module' => 'Accounts',
                'help' => 'INBOX25 Score Field',
                'comment' => 'INBOX25 Score Field',
                'default_value' => '0',
                'required' => false, // true or false
                'reportable' => true, // true or false
                'audited' => false, // true or false
                'importable' => 'true', // 'true', 'false', 'required'
                'duplicate_merge' => false, // true or false
            ),
			 array(
                'name' => 'inbox25_score_c',
                'label' => 'INBOX25 Lead Score',
                'type' => 'integer',
                'module' => 'Contacts',
                'help' => 'INBOX25 Score Field',
                'comment' => 'INBOX25 Score Field',
                'default_value' => '0',
                'required' => false, // true or false
                'reportable' => true, // true or false
                'audited' => false, // true or false
                'importable' => 'true', // 'true', 'false', 'required'
                'duplicate_merge' => false, // true or false
            ),
			 array(
                'name' => 'inbox25_score_c',
                'label' => 'INBOX25 Lead Score',
                'type' => 'integer',
                'module' => 'Prospects',
                'help' => 'INBOX25 Score Field',
                'comment' => 'INBOX25 Score Field',
                'default_value' => '0',
                'required' => false, // true or false
                'reportable' => true, // true or false
                'audited' => false, // true or false
                'importable' => 'true', // 'true', 'false', 'required'
                'duplicate_merge' => false, // true or false
             ),
			),
	'logic_hooks'	=> array(
			array(
				'module'		=> 'Contacts',
				'hook'		 	=> 'after_save',
				'order'			=> 101,
				'file'			=> 'modules/Iframeapp/DispatchData.php',
				'class'			=> 'DispatchData',
				'function'		=> 'ProcessMod',
			),
			array(
				'module'		=> 'Contacts',
				'hook'		 	=> 'after_delete',
				'order'			=> 102,
				'file'			=> 'modules/Iframeapp/DispatchData.php',
				'class'			=> 'DispatchData',
				'function'		=> 'ProcessMod',
			),			
			array(
				'module'		=> 'Leads',
				'hook'		 	=> 'after_save',
				'order'			=> 101,
				'file'			=> 'modules/Iframeapp/DispatchData.php',
				'class'			=> 'DispatchData',
				'function'		=> 'ProcessMod',
			),
			array(
				'module'		=> 'Leads',
				'hook'		 	=> 'after_delete',
				'order'			=> 102,
				'file'			=> 'modules/Iframeapp/DispatchData.php',
				'class'			=> 'DispatchData',
				'function'		=> 'ProcessMod',
			),
			array(
				'module'		=> 'Accounts',
				'hook'		 	=> 'after_save',
				'order'			=> 101,
				'file'			=> 'modules/Iframeapp/DispatchData.php',
				'class'			=> 'DispatchData',
				'function'		=> 'ProcessMod',
			),
			array(
				'module'		=> 'Accounts',
				'hook'		 	=> 'after_delete',
				'order'			=> 102,
				'file'			=> 'modules/Iframeapp/DispatchData.php',
				'class'			=> 'DispatchData',
				'function'		=> 'ProcessMod',
			),	
			array(
				'module'		=> 'Opportunities',
				'hook'		 	=> 'after_save',
				'order'			=> 101,
				'file'			=> 'modules/Iframeapp/DispatchData.php',
				'class'			=> 'DispatchData',
				'function'		=> 'ProcessMod',
			),
			array(
				'module'		=> 'Opportunities',
				'hook'		 	=> 'after_delete',
				'order'			=> 102,
				'file'			=> 'modules/Iframeapp/DispatchData.php',
				'class'			=> 'DispatchData',
				'function'		=> 'ProcessMod',
			),			
			array(
				'module'		=> 'Tasks',
				'hook'		 	=> 'after_save',
				'order'			=> 101,
				'file'			=> 'modules/Iframeapp/DispatchData.php',
				'class'			=> 'DispatchData',
				'function'		=> 'ProcessMod',
			),
			array(
				'module'		=> 'Tasks',
				'hook'		 	=> 'after_delete',
				'order'			=> 102,
				'file'			=> 'modules/Iframeapp/DispatchData.php',
				'class'			=> 'DispatchData',
				'function'		=> 'ProcessMod',
			),
			array(
				'module'		=> 'Meetings',
				'hook'		 	=> 'after_save',
				'order'			=> 101,
				'file'			=> 'modules/Iframeapp/DispatchData.php',
				'class'			=> 'DispatchData',
				'function'		=> 'ProcessMod',
			),
			array(
				'module'		=> 'Meetings',
				'hook'		 	=> 'after_delete',
				'order'			=> 102,
				'file'			=> 'modules/Iframeapp/DispatchData.php',
				'class'			=> 'DispatchData',
				'function'		=> 'ProcessMod',
			),
			array(
				'module'		=> 'Calls',
				'hook'		 	=> 'after_save',
				'order'			=> 101,
				'file'			=> 'modules/Iframeapp/DispatchData.php',
				'class'			=> 'DispatchData',
				'function'		=> 'ProcessMod',
			),
			array(
				'module'		=> 'Calls',
				'hook'		 	=> 'after_delete',
				'order'			=> 102,
				'file'			=> 'modules/Iframeapp/DispatchData.php',
				'class'			=> 'DispatchData',
				'function'		=> 'ProcessMod',
			),
			array(
				'module'		=> 'Cases',
				'hook'		 	=> 'after_save',
				'order'			=> 101,
				'file'			=> 'modules/Iframeapp/DispatchData.php',
				'class'			=> 'DispatchData',
				'function'		=> 'ProcessMod',
			),
			array(
				'module'		=> 'Cases',
				'hook'		 	=> 'after_delete',
				'order'			=> 102,
				'file'			=> 'modules/Iframeapp/DispatchData.php',
				'class'			=> 'DispatchData',
				'function'		=> 'ProcessMod',
			),
			array(
				'module'		=> 'Contracts',
				'hook'		 	=> 'after_save',
				'order'			=> 101,
				'file'			=> 'modules/Iframeapp/DispatchData.php',
				'class'			=> 'DispatchData',
				'function'		=> 'ProcessMod',
			),
			array(
				'module'		=> 'Contracts',
				'hook'		 	=> 'after_delete',
				'order'			=> 102,
				'file'			=> 'modules/Iframeapp/DispatchData.php',
				'class'			=> 'DispatchData',
				'function'		=> 'ProcessMod',
			),
			array(
				'module'		=> 'Quotes',
				'hook'		 	=> 'after_save',
				'order'			=> 101,
				'file'			=> 'modules/Iframeapp/DispatchData.php',
				'class'			=> 'DispatchData',
				'function'		=> 'ProcessMod',
			),
			array(
				'module'		=> 'Quotes',
				'hook'		 	=> 'after_delete',
				'order'			=> 102,
				'file'			=> 'modules/Iframeapp/DispatchData.php',
				'class'			=> 'DispatchData',
				'function'		=> 'ProcessMod',
			),
			array(
				'module'		=> 'Users',
				'hook'		 	=> 'after_save',
				'order'			=> 101,
				'file'			=> 'modules/Iframeapp/DispatchData.php',
				'class'			=> 'DispatchData',
				'function'		=> 'ProcessMod',
			),			
			array(
				'module'		=> 'Prospects',
				'hook'		 	=> 'after_save',
				'order'			=> 101,
				'file'			=> 'modules/Iframeapp/DispatchData.php',
				'class'			=> 'DispatchData',
				'function'		=> 'ProcessMod',
			),			
			array(
				'module'		=> 'Prospects',
				'hook'		 	=> 'after_delete',
				'order'			=> 102,
				'file'			=> 'modules/Iframeapp/DispatchData.php',
				'class'			=> 'DispatchData',
				'function'		=> 'ProcessMod',
			),
			array(
				'module'		=> 'ProspectLists',
				'hook'		 	=> 'after_save',
				'order'			=> 101,
				'file'			=> 'modules/Iframeapp/DispatchData.php',
				'class'			=> 'DispatchData',
				'function'		=> 'ProcessMod',
			),
			array(
				'module'		=> 'ProspectLists',
				'hook'		 	=> 'after_delete',
				'order'			=> 102,
				'file'			=> 'modules/Iframeapp/DispatchData.php',
				'class'			=> 'DispatchData',
				'function'		=> 'ProcessMod',
			),
				array(
				'module'		=> 'ProspectLists',
				'hook'		 	=> 'after_relationship_add',
				'order'			=> 106,
				'file'			=> 'modules/Iframeapp/DispatchData.php',
				'class'			=> 'DispatchData',
				'function'		=> 'ProcessMod',
			),
			array(
				'module'		=> 'ProspectLists',
				'hook'		 	=> 'after_relationship_delete',
				'order'			=> 107,
				'file'			=> 'modules/Iframeapp/DispatchData.php',
				'class'			=> 'DispatchData',
				'function'		=> 'ProcessMod',
			),
			
			
	),	
	'post_uninstall' => array(    0 => '<basepath>/post_uninstall.php',),

	'beans'=> array(
		array (
		  'module' => 'Iframeapp',
		  'class' => 'Iframeapp',
		  'path' => 'modules/Iframeapp/Iframeapp.php',
		  'tab' => true,
		)		
	),	
	'language'=> array(
		array('from'=> '<basepath>/language/application/iframeapp-en_us.lang.php',
			  'to_module'=> 'application',
			  'language'=>'en_us'
		)		
	)
);
?>
